Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List checkpoint permissions

GET
/fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

NOTE: This endpoint requires an admin API key.

Organization owners can use this endpoint to view all permissions for a fine-tuned model checkpoint.

Path Parameters
fine_tuned_model_checkpoint: string

The ID of the fine-tuned model checkpoint to get permissions for.

Query Parameters
after: optional string

Identifier for the last permission ID from the previous pagination request.

limit: optional integer (default: 10)

Number of permissions to retrieve.

order: optional "ascending" or "descending" (default: "descending")

The order in which to retrieve permissions.

One of the following:
"ascending"
"descending"
project_id: optional string

The ID of the project to get permissions for.

Returns
data: array of object { id, created_at, object, project_id }
id: string

The permission identifier, which can be referenced in the API endpoints.

created_at: integer

The Unix timestamp (in seconds) for when the permission was created.

formatunixtime
object: "checkpoint.permission"

The object type, which is always “checkpoint.permission”.

project_id: string

The project identifier that the permission is for.

has_more: boolean
object: "list"
first_id: optional string or null
last_id: optional string or null

List checkpoint permissions

curl https://api.openai.com/v1/fine_tuning/checkpoints/ft:gpt-4o-mini-2024-07-18:org:weather:B7R9VjQd/permissions \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    },
    {
      "object": "checkpoint.permission",
      "id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": false
}
Returns Examples
Response example
{
  "object": "list",
  "data": [
    {
      "object": "checkpoint.permission",
      "id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "project_id": "proj_abGMw1llN8IrBb6SvvY5A1iH"
    },
    {
      "object": "checkpoint.permission",
      "id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "project_id": "proj_iqGMw1llN8IrBb6SvvY5A1oF"
    }
  ],
  "first_id": "cp_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "cp_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": false
}